### Method

# PapersView Job failed

#### Declaration [src]

    void
    pps_job_failed (
      PpsJob* job,
      GQuark domain,
      gint code,
      const gchar* format,
      ...
    )

#### Description [src]

Marks the specified job as failed and sets an error with the provided details.

This function creates a new `GError` using the provided domain, code, and message, and updates the job’s state to indicate failure. It emits a finished signal when done. It does nothing if the job is already marked as failed or finished.

This method is not directly available to language bindings.

The implementation of this method is provided by `pps_job_failed_from_error()` in language bindings.

#### Parameters

`domain`

  Type: `GQuark`

  The error domain (a `GQuark`).

`code`

  Type: `gint`

  The error code (an integer).

`format`

  Type: `const gchar*`

  A printf-style format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.